Auto Multiple Choice - Support # 459: 1.3.0 not available in synaptic package manager (only 1.2.1-3)
Description: Hello,
When | use either sudo apt-get install auto-multiple-choice or synaptic package manager on Ubuntu (running
16.04) | see only the 1.2.1-3 build available. This build seems to be older from 2013 and doesn't have the
upper darkness threshold option for example. If you could please let me know how to get the 1.3.0 stable
version that would be great.
| also tried this:
sudo add-apt-repository ppa:alexis.bienvenue/amc-stable && sudo apt-get update && sudo apt-get install
auto-multiple-choice
from this archived solution:
http://project.auto-multiple-choice.net/issues/456#note-1
Cheers,
Sarah

History

01/31/2017 09:01 pm - Loic Cerf

Sarah Rugheimer wrote:

> When | use either sudo apt-get install auto-multiple-choice or synaptic package manager on Ubuntu (running 16.04) | see only the 1.2.1-3 build

available.

That is normal. It is the version Ubuntu packages: http://packages.ubuntu.com/xenial/auto-multiple-choice

> sudo add-apt-repository ppa:alexis.bienvenue/amc-stable && sudo apt-get update && sudo apt-get install auto-multiple-choice

That should indeed install version 1.3.0-1~xenial1. Could you please paste here the output of this command?

01/31/2017 09:08 pm - Alexis Bienveniie
> sudo add-apt-repository ppa:alexis.bienvenue/amc-stable

You need "amc" instead of "amc-stable".

01/31/2017 09:08 pm - Alexis Bienveniie
- Tracker changed from Bug to Support

01/31/2017 10:02 pm - Loic Cerf

Alexis Bienvenlie wrote:

> > sudo add-apt-repository ppa:alexis.bienvenue/amc-stable

> You need "amc" instead of "amc-stable".

| installed version 1.3.0-1 from "amc-stable". And that version is indeed listed in https:/launchpad.net/~alexis.bienvenue/+archive/ubuntu/amc-stable

01/31/2017 10:04 pm - Alexis Bienveniie
Oops yes you're right, my mistake!

02/01/2017 11:59 am - Sarah Rugheimer
So when | used the command line:

>>sudo add-apt-repository ppa:alexis.bienvenue/amc-stable && sudo apt-get install auto-multiple-choice

the output was 1.2.1

>>Setting up auto-multiple-choice-common (1.2.1-3build1) ...

>>Setting up auto-multiple-choice (1.2.1-3build1) ...

>>Setting up auto-multiple-choice-doc (1.2.1-3build1) ...

>>sudo add-apt-repository ppa:alexis.bienvenue/amc-stable && sudo apt-get update && sudo apt-get install auto-multiple-choice
Then 1.3.0 was installed

Setting up auto-multiple-choice-common (1.3.0-1~xenial1) ...

Setting up auto-multiple-choice (1.3.0-1~xeniall) ...

Setting up auto-multiple-choice-doc (1.3.0-1~xenial1)

So the update was needed. And the update wasn't showing up as a possibility in synaptic package manager, | tried that first.
Thanks for the support and help! | love this little tool and plan to use it for a quiz tomorrow for my class of 110 students for the first time.
This issue is resolved.

02/01/2017 12:17 pm - Alexis Bienveniie

- % Done changed from 0 to 100

- Status changed from New to Closed
